Package com.independentsoft.office.charts

# Class TrendlineLabel

java.lang.Object
com.independentsoft.office.charts.TrendlineLabel

public class TrendlineLabel extends Object
The Class TrendlineLabel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrendlineLabel()`
  Instantiates a new trendline label.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TrendlineLabel`
  `clone()`
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `ChartText`
  `getChartText()`
  Gets the chart text.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `Layout`
  `getLayout()`
  Gets the layout.
  `NumberFormat`
  `getNumberFormat()`
  Gets the number format.
  `TextProperties`
  `getTextProperties()`
  Gets the text properties.
  `void`
  `setChartText​(ChartText chartText)`
  Sets the chart text.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setLayout​(Layout layout)`
  Sets the layout.
  `void`
  `setNumberFormat​(NumberFormat numberFormat)`
  Sets the number format.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TrendlineLabel

    public TrendlineLabel()
    Instantiates a new trendline label.

- ## Method Details

  - ### clone

    public TrendlineLabel clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getLayout

    public Layout getLayout()
    Gets the layout.
    Returns:
      the layout

  - ### setLayout

    public void setLayout​(Layout layout)
    Sets the layout.
    Parameters:
      `layout` - the new layout

  - ### getNumberFormat

    public NumberFormat getNumberFormat()
    Gets the number format.
    Returns:
      the number format

  - ### setNumberFormat

    public void setNumberFormat​(NumberFormat numberFormat)
    Sets the number format.
    Parameters:
      `numberFormat` - the new number format

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getChartText

    public ChartText getChartText()
    Gets the chart text.
    Returns:
      the chart text

  - ### setChartText

    public void setChartText​(ChartText chartText)
    Sets the chart text.
    Parameters:
      `chartText` - the new chart text

  - ### getTextProperties

    public TextProperties getTextProperties()
    Gets the text properties.
    Returns:
      the text properties